public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Patrice Clement" <monsieurp@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/cssutils/
Date: Wed, 20 Mar 2019 21:35:40 +0000 (UTC)	[thread overview]
Message-ID: <1553117722.f2ff5819b7af9d93a882eb5c3951b4dcd7360567.monsieurp@gentoo> (raw)

commit:     f2ff5819b7af9d93a882eb5c3951b4dcd7360567
Author:     Zamarin Arthur <arthurzam <AT> gmail <DOT> com>
AuthorDate: Tue Mar 19 17:22:10 2019 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Wed Mar 20 21:35:22 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f2ff5819

dev-python/cssutils: add support for Python3.7, EAPI 7.

Closes: https://bugs.gentoo.org/679494
Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Zamarin Arthur <arthurzam <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/11354
Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 dev-python/cssutils/cssutils-1.0.2-r1.ebuild | 49 ++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)

diff --git a/dev-python/cssutils/cssutils-1.0.2-r1.ebuild b/dev-python/cssutils/cssutils-1.0.2-r1.ebuild
new file mode 100644
index 00000000000..0542c6dff73
--- /dev/null
+++ b/dev-python/cssutils/cssutils-1.0.2-r1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python{2_7,3_{4,5,6,7}} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="A CSS Cascading Style Sheets library"
+HOMEPAGE="https://pypi.org/project/cssutils/ https://bitbucket.org/cthedot/cssutils http://cthedot.de/cssutils/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~x86"
+IUSE="test"
+
+RDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+	test? (
+		dev-python/mock[${PYTHON_USEDEP}]
+		dev-python/nose[${PYTHON_USEDEP}]
+	)"
+
+python_prepare_all() {
+	# Disable test failing with dev-python/pyxml installed.
+	if has_version dev-python/pyxml; then
+		sed -e "s/test_linecol/_&/" \
+			-i src/cssutils/tests/test_errorhandler.py \
+			|| die
+	fi
+
+	# requires old pbr, does it really?
+	sed \
+		-e '/tests_require/d' \
+		-i setup.py || die
+
+	distutils-r1_python_prepare_all
+}
+
+python_test() {
+	ln -s "${S}/sheets" "${BUILD_DIR}/sheets" || die
+	# esetup.py test
+	# exclude tests that connect to the network
+	set --  nosetests \
+		-e test_parseUrl -e test_handlers -P "${BUILD_DIR}/lib/cssutils/tests"
+	echo "$@"
+	"$@" || die "Testing failed with ${EPYTHON}"
+}


             reply	other threads:[~2019-03-20 21:35 UTC|newest]

Thread overview: 79+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-03-20 21:35 Patrice Clement [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-22 15:01 [gentoo-commits] repo/gentoo:master commit in: dev-python/cssutils/ Michał Górny
2024-06-22 13:49 Arthur Zamarin
2024-06-05  4:51 Michał Górny
2024-06-01  8:09 Michał Górny
2024-06-01  7:39 Arthur Zamarin
2024-05-28 12:10 Michał Górny
2024-05-15  2:08 Michał Górny
2024-05-14  6:16 Michał Górny
2024-04-20 11:23 Michał Górny
2024-04-20 10:49 Michał Górny
2024-03-31 19:07 Arthur Zamarin
2023-11-15 17:10 Michał Górny
2023-11-15 16:34 Arthur Zamarin
2023-10-13  4:44 Michał Górny
2023-07-21 12:53 Arthur Zamarin
2023-07-21 12:52 Arthur Zamarin
2023-06-18 17:07 Michał Górny
2023-06-12 11:37 Michał Górny
2023-06-09 12:22 Michał Górny
2023-05-31 15:35 Michał Górny
2023-02-07  9:26 Michał Górny
2023-02-07  9:26 Michał Górny
2022-09-25 18:15 Arthur Zamarin
2022-09-25 18:14 Arthur Zamarin
2022-08-22 19:23 Arthur Zamarin
2022-08-13 12:35 Michał Górny
2022-08-13 11:50 Arthur Zamarin
2022-07-25  7:12 Michał Górny
2022-07-12 17:09 Arthur Zamarin
2022-07-05  4:42 Michał Górny
2022-07-04 10:34 Agostino Sarubbo
2022-07-04 10:34 Agostino Sarubbo
2022-07-04  6:55 Agostino Sarubbo
2022-07-04  6:53 Agostino Sarubbo
2022-07-04  6:51 Agostino Sarubbo
2022-06-14  7:06 Jakov Smolić
2022-06-14  6:01 Jakov Smolić
2022-06-14  5:58 Jakov Smolić
2022-06-13 21:24 Jakov Smolić
2022-06-09  7:23 Michał Górny
2022-06-03  5:37 Michał Górny
2022-03-26 17:54 Arthur Zamarin
2022-02-23  8:12 Michał Górny
2022-02-04 12:04 Michał Górny
2021-11-26 20:32 Michał Górny
2021-11-26 20:25 Arthur Zamarin
2021-10-23  8:53 Michał Górny
2021-04-12 16:17 Michał Górny
2021-04-12 15:50 Sam James
2021-04-09 22:25 Michał Górny
2021-04-09 22:17 Sam James
2021-03-11 12:24 Michał Górny
2021-03-11  8:48 Michał Górny
2021-03-09 23:51 Sam James
2021-03-09 23:51 Sam James
2021-03-09 23:44 Michał Górny
2020-12-24  8:48 Michał Górny
2020-08-23 11:45 David Seifert
2020-03-07 15:45 Michał Górny
2020-03-07 15:11 Michał Górny
2020-02-24 12:53 Agostino Sarubbo
2020-02-24 12:49 Agostino Sarubbo
2020-02-24 11:43 Agostino Sarubbo
2020-02-24 10:07 Agostino Sarubbo
2020-02-21 17:28 Michał Górny
2020-02-21 17:28 Michał Górny
2020-02-04 19:47 Michał Górny
2019-12-27 16:17 Sebastian Pipping
2019-12-03 23:17 Aaron Bauman
2019-12-03 23:17 Aaron Bauman
2019-12-03 23:15 Aaron Bauman
2019-03-20 21:35 Patrice Clement
2017-05-15  9:47 Lars Wendler
2017-04-12 21:06 Michał Górny
2016-10-19 23:22 Patrice Clement
2016-10-19 23:22 Patrice Clement
2016-02-20  2:30 Ian Delaney
2015-11-11  8:29 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1553117722.f2ff5819b7af9d93a882eb5c3951b4dcd7360567.monsieurp@gentoo \
    --to=monsieurp@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox